Last Comment Bug 831621 - Change of WoMoz Logo
: Change of WoMoz Logo
Status: RESOLVED FIXED
womoz logo
:
Product: Marketing
Classification: Other
Component: Design (show other bugs)
: unspecified
: x86 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: John Slater
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 18:03 PST by Delphine Lebédel [:delphine - use need info]
Modified: 2014-06-09 14:06 PDT (History)
15 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
feminist hacker hive logo with cyborg bees (497.62 KB, image/jpeg)
2013-01-17 08:46 PST, Liz Henry (:lizzard) (needinfo? me)
no flags Details
Exemple of a cartoon looking bee (118.33 KB, image/jpeg)
2013-01-19 01:04 PST, Flore Allemandou [:flore]
no flags Details
Proposition for a simple womoz logo (including Yin yang) (100.20 KB, image/png)
2013-04-28 05:10 PDT, Flore Allemandou [:flore]
no flags Details
Another logo (no yin yang) featuring black and white (15.52 KB, image/png)
2013-04-29 13:53 PDT, Flore Allemandou [:flore]
no flags Details
Bee logo concept for WoMoz (46.45 KB, image/png)
2013-06-20 04:04 PDT, Goce Mitevski
no flags Details
Second WoMoz Bee Logo Concept (95.75 KB, application/octet-stream)
2013-06-22 06:04 PDT, Goce Mitevski
no flags Details
Proposition of logo by Med Mack (1.77 MB, image/jpeg)
2013-06-24 01:03 PDT, Flore Allemandou [:flore]
no flags Details
zeph - two bees - logo proposal 1 (289.61 KB, image/jpeg)
2013-06-25 13:42 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
zeph - fire bee - logo proposal 2 (275.97 KB, image/jpeg)
2013-06-25 13:43 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Zeph - bees take 2, with 'w' & 'm' over hive (282.13 KB, image/jpeg)
2013-06-27 08:47 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Zeph - round 2, sketch 2 - bees, hexagon, w & m (270.25 KB, image/jpeg)
2013-06-27 08:47 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Zeph - round 2, sketch 3 - bee on hive with 'womoz' (285.71 KB, image/jpeg)
2013-06-27 08:48 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Zeph - round 2, sketch 4, bee on hexagon with womoz (275.46 KB, image/jpeg)
2013-06-27 08:49 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Logo proposition 1.0 (2.88 MB, image/png)
2013-06-28 10:43 PDT, Med Mack
no flags Details
WoMoz logo.pdf (4.01 MB, application/pdf)
2013-08-14 17:05 PDT, Lukas Blakk [:lsblakk] use ?needinfo
no flags Details
Womoz final logo approved (227.36 KB, image/png)
2014-06-09 14:05 PDT, Flore Allemandou [:flore]
no flags Details

Description Delphine Lebédel [:delphine - use need info] 2013-01-16 18:03:04 PST
The WoMoz community has voted and decided that it is time to update and change the WoMoz logo. 
During today's meeting, we have discussed in depth this topic and decided to follow this direction: 

* logo should stay in-line with other Mozilla logos. Good idea to have it done by Creative Team
* nothing "girly"
* something along the lines of Hives, Bees... One idea brought up was of a logo like the FirefoxOS one but with a bee costume, surrounding something/someone
* just like bees/hive, the logo should convey the idea of collaboration, industriousness, team work, productiveness, a busy place where lot's of good work is done

Let's use this bug to build in this direction and add ideas and suggestions
Comment 1 Liz Henry (:lizzard) (needinfo? me) 2013-01-17 08:46:30 PST
Created attachment 703347 [details]
feminist hacker hive logo with cyborg bees

A sample logo.
Comment 2 Tara (musingt) 2013-01-17 16:18:32 PST
Hi there.  Can you share a little more about your desired timing?
Comment 3 Flore Allemandou [:flore] 2013-01-18 00:55:43 PST
During our leeting on IRC last wednesday, we came up with the idea of bees as a mascot and the following points were pointed out:
* Bees are associated with the idea of team / community, hive, working together
* Bees are industrious
* They are feminine without being girly
* The hive is rule by a queen

Thus we could have a mascot which is feminine without the need to stressing the girl side.

Later (after the meeting), the discussion went on and we discussed of the smurfs :
* They are a village / community (the major flaw is that they are mostly men with only one woman)
* Each smurf has his own characteristics, clothes, habits, accessories... But when you see a smurf, you immediately regognize it.

If you mix these 2 ideas, you get what would be the ideal mascot: a cartoon-like bee that could be represented doing a lot of things (hacking, teaching, speaking). It could be used as an avatar for representing different womoz member or the purpose of an event (a bee with a computer for coding event, a bee with a blouse for a scientific event, a bee with a hoodie for a sport event...)

Discussion on IRC about the logo: https://etherpad.mozilla.org/WoMozLogoDiscussions

As an example, this picture of a bee in a cartoon-like (copyrighted material): http://francais.istockphoto.com/image-zoom/876734/1/376/380/zoom-876734-1.jpg
Comment 4 Med Mack 2013-01-18 16:30:30 PST
Hello everybody,

Very good decision to change the old logo of WoMoz and I'm here to help creating a new one. I'll be making some sketches and try different concepts for the logo.

Flore please can you attach the picture of your example because it seems that there is some problems with the link, Thanks.
Comment 5 Flore Allemandou [:flore] 2013-01-19 01:04:33 PST
Created attachment 704187 [details]
Exemple of a cartoon looking bee

This is a copyrighted material (not by me) found on the internet and uploaded on bugzilla just to show an example (as the link did not work for everyone)
Comment 6 Delphine Lebédel [:delphine - use need info] 2013-01-22 13:34:26 PST
Just to set priorities here: 
I think we should first work on our main / general logo, and then work on the personalized ones from there.
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2013-01-22 17:04:01 PST
My hope would be to have perhaps the Firefox or a Foxkeh wearing a bee costume (for brand recognition) and to go along with the single-character style brands like seen here http://blog.seanmartell.com/brands/ - something that is easy to use in various sizes, with nothing in the background.
Comment 8 Delphine Lebédel [:delphine - use need info] 2013-01-22 17:15:17 PST
+1 with Lukas
(we started thinking about this when seeing the hive logo appearing on http://blog.seanmartell.com/brands/ if this can be of any help in inspiration ;) )
Comment 9 Delphine Lebédel [:delphine - use need info] 2013-02-11 12:41:33 PST
Hi Med Mack!
Any updates concerning the new logo?
thanks
Comment 10 Med Mack 2013-02-11 13:04:25 PST
Hey Delphine,

Nothing important just some sketches and simple ideas for the moment.
I'll be sharing here anything updates.
Comment 11 Delphine Lebédel [:delphine - use need info] 2013-02-11 13:10:01 PST
great, eager to see that! :)
thanks
Comment 12 Majken Connor [:Kensie] 2013-02-16 07:07:37 PST
(In reply to Med Mack from comment #10)
> Hey Delphine,
> 
> Nothing important just some sketches and simple ideas for the moment.
> I'll be sharing here anything updates.

I know I'd love to follow the process all the way through. Maybe our reactions to the sketches would help give you ideas, even if not it'd be interesting to see the design start to finish. Of course whatever you're ready to share is fine!
Comment 13 Delphine Lebédel [:delphine - use need info] 2013-02-20 18:02:29 PST
I agree with Majken.
The sooner we can see what you are working on, the better!
Comment 14 Delphine Lebédel [:delphine - use need info] 2013-03-01 14:45:50 PST
Hi,

It's urgent that we start to be able to work on this. The WoMoz worldwide community needs swag for the events they organize, and we are unable to provide this to them until we have the new logo, which is becoming quite an issue.
Med Mack: please, if you don't have the time to work on this, it's ok but just let us know quickly and we will find out another solution.
But we really need to now what we're moving towards from now on.

thanks!
Comment 15 Med Mack 2013-03-02 09:37:32 PST
Hey, 

I'm sorry for being late, unluckily my pen tablet seems to be broken and I was trying to fix it but this will take some time, so I can't keep up on this project.

I will be sharing my sketches that I made until now on this week-end so it can be helpful for who want to work on this bug.

Sorry again!
Comment 16 Ioana Chiorean 2013-03-04 01:38:11 PST
Hey 
Being some WoMoz in Athens, we worked on some proposals for the logo...

https://plus.google.com/photos/116017172139610272348/albums/5851417445346363921

Here is the album with all . Should I upload them better?

Please let me know your feedback

PS: we used upside-down m for w for better similarity
Comment 17 Delphine Lebédel [:delphine - use need info] 2013-03-05 10:18:13 PST
Thanks for the heads up Med Mack. Please do share your sketches with us!

Ioana: this is really great, thanks! I like the idea with the star and the W and M inside the most

Anyone else wants to create a more graphic logo in the lines of our initial hive/bee idea, in order to vote between both kinds?
Comment 18 Ioana Chiorean 2013-04-17 09:01:22 PDT
Hey, 
any updates on this? 

Any opinions from Creative Team?

Regards,
Ioana
Comment 19 Majken Connor [:Kensie] 2013-04-17 09:49:42 PDT
I proposed some other concepts, adding them here so they aren't missed in discussing all the ideas:

Compass - playing on the star, but with a purpose. We are guides to help Women navigate and become involved with Mozilla
Magnet - we attract Women and hold them in the community
Inuksuk - this is very Canadian, but it resonates with me and our purpose. It's a marker to show that "we were here" and may also have been used for navigation or trail marking. They are also usually stone, so that also gives the image of immovability, that is, women are a permanent fixture at Mozilla.
Lantern or lighthouse - also used for guiding safely, usually "home" or "where someone belongs," Women belong in Mozilla
Graffiti tag - (definitely inspired by Athens!) similar to the Inuksuk it has the idea of "we are here," I kind of like the imagery that we are going to go throughout Mozilla and "tag" it with our presence. Not sure if this is easily translated to a logo.
Comment 20 Majken Connor [:Kensie] 2013-04-17 22:40:11 PDT
At the meeting we played around with some ideas, including the magnet which I made some *very rough* mockups for in paint ;)

http://grab.by/lIXk

http://grab.by/lJ5A
Comment 21 Flore Allemandou [:flore] 2013-04-28 05:10:42 PDT
Created attachment 742813 [details]
Proposition for a simple womoz logo (including Yin yang)
Comment 22 Flore Allemandou [:flore] 2013-04-29 13:53:05 PDT
Created attachment 743263 [details]
Another logo (no yin yang) featuring black and white
Comment 23 Lukas Blakk [:lsblakk] use ?needinfo 2013-04-30 13:16:45 PDT
(In reply to Majken Connor [Kensie] from comment #19)

> Inuksuk - this is very Canadian, but it resonates with me and our purpose.
> It's a marker to show that "we were here" and may also have been used for
> navigation or trail marking. They are also usually stone, so that also gives
> the image of immovability, that is, women are a permanent fixture at Mozilla.

It's not Canadian, it's Inuit and not ours to take/use even if the image has been appropriated into some Canadian imagery. We can get our message across without cultural appropriation. Unfortunately the yin/yang is in a similar place.  That's one of the reasons that the bees/hive works (natural world) and magnet/compass/lantern are also excellent visuals without cultural theft connotations.
Comment 24 Majken Connor [:Kensie] 2013-05-01 11:46:48 PDT
I can see your point about cultural vs natural/scientific/common examples, but I don't think it's a good idea to draw lines of who is from what culture/nationality and who isn't. Tribal peoples build Inuksuks in Ontario as well, whether it is theft or a sharing of the culture is a matter of perspective and taking either side will be upsetting to one group or another (and I mean within the culture you're talking about, not them vs "us").

But back to the point, I agree, some cultural symbols are probably ok to share and spread, but others are sacred and even if they are commonly used in other cases we should avoid it ourselves to show we're sensitive and respectful. We should be sure to take this into consideration.
Comment 25 Delphine Lebédel [:delphine - use need info] 2013-05-06 16:20:54 PDT
Ioana: removing your need info as Med Mack said he wouldn't work on the logo in the end, as per comment 15 :)
Comment 26 Delphine Lebédel [:delphine - use need info] 2013-06-18 12:51:07 PDT
Where are we at with this?
This is taking really a long time, it's worrying me a bit
Comment 27 John Slater 2013-06-18 17:33:07 PDT
Lukas, was your potential designer available for this?
Comment 28 Ioana Chiorean 2013-06-18 21:32:57 PDT
(In reply to John Slater from comment #27)
> Lukas, was your potential designer available for this?

Goce, one of the Reps with creative/design knowledge might help where. Can you advise him?
Comment 29 Goce Mitevski 2013-06-19 03:16:39 PDT
Thanks Ioana.

I like the idea with the bees and it makes perfect sense to me.

I started making some sketches.
Comment 30 Goce Mitevski 2013-06-20 04:04:32 PDT
Created attachment 765289 [details]
Bee logo concept for WoMoz

Here is a WoMoz logo design I came up with. Though it still needs polishing, it should clearly resemble the direction I've taken. The symbol depicts a bee on a flower, which is leafless, but I'm thinking of adding more elements to it.

I'd love to hear what you think about this design.
Comment 31 Flore Allemandou [:flore] 2013-06-20 04:49:11 PDT
Hello Goce,
Thank you for this sketch. I have a few remarks about this. I had a hard time to recognize a flower (because it is leafless), I only saw a purple circle...
And the bee is not recognizable in my opinion. It's my scientist evil twin that talks here, but a bee is a hymenoptera so it has 2 pairs of wings (the hind pair being the smaller), its body is divided in 3 sections and it should not be so round.

I know that it is a logo and it should be simplified compared to an entomlogist drawing, but nonetheless the main characteristics that make a bee should be there and recognizable.
For the flower, definitely it needs to be more flower-like.

I'm sorry if it sounds harsh, but these were my first thoughts when I saw the sketch. The idea of a bee on the flower is a good one and I really appreciate that you spent time to help us with our logo, it's really kind of you.

I browsed through wikipedia and found this photo of a bee on a flower :
http://en.wikipedia.org/wiki/File:European_honey_bee_extracts_nectar.jpg
I like its composition, because the bee in profile and the flower are recognizable.
Perhaps you could take ideas from this picture and make a logo of a bee in profile?
Comment 32 Goce Mitevski 2013-06-20 05:09:36 PDT
Thanks Flore! It doesn't sound harsh at all and your comments are quite helpful.

I think that showing a bee in profile is great suggestion and I will definitely try to make something of it.

Stay tuned...
Comment 33 Ioana Chiorean 2013-06-20 05:28:46 PDT
I agree with Flore's proposals. I understood that it in process (I did not see the flower either) so at the moment is good. 

Thanks so much Goce for working on this! :D

@Jslater, @matej Perhaps you guys can have a more design/creative quality insights?
Comment 34 Delphine Lebédel [:delphine - use need info] 2013-06-20 10:29:58 PDT
Goce: thanks for taking on this work, and for sending out your sketch so quickly!

Some ideas and feedback: Let's continue with the bee idea, and move forward from there. However let's move away from anything that has a "girly" connotation, as most of us have agreed when discussing the logo before. So in this case, let's not stick with the flower idea. We have a flower motif in our current logo, and this has not worked well for many people. So the fact that your flower actually didn't really look to much like one was cool, for me ;)

Anyways, here are our initial ideas around bees and hives:
* logo should stay in-line with other Mozilla logos
* nothing "girly"
* something along the lines of Hives, Bees...
* just like bees/hive, the logo should convey the idea of collaboration, industriousness, team work, productiveness, a busy place where lot's of good work is done* Bees are associated with the idea of team / community, hive, working together
* Bees are industrious

Thanks again Goce for your help with this!
Comment 35 Goce Mitevski 2013-06-22 06:04:10 PDT
Created attachment 766288 [details]
Second WoMoz Bee Logo Concept

Ok, here is another concept for the WoMoz logo, based on the comments I received earlier. This version is quite minimalistic in comparison to the first one and comes with drastically improved symbolism.

I don't think we're quite there yet with the typography, but if we move forward with this design, I'm planing to further improve the word-mark.

This logo should be pretty self explanatory, but please do ask any questions that you might have. As you will see on the work samples, I wasn't trying to depict realistic bees for this design.

The archive includes three samples with the following differences:

1. The symbol is on a circular background
2. The symbol is not on a circular background
3. The symbol is on a circular background and the bees "hands" are not connected with circles

So, what do you think?
Comment 36 Majken Connor [:Kensie] 2013-06-22 09:37:40 PDT
I would like to see some decent drafts of a few of the concepts so we can see the potential before we decide on the best concept to represent us. Or even if you have your own opinions on the metaphors!
Comment 37 Goce Mitevski 2013-06-23 05:33:11 PDT
Sure, Majken. Though I'm not quite sure what you mean by "decent drafts"?
Comment 38 Flore Allemandou [:flore] 2013-06-24 01:03:04 PDT
Created attachment 766570 [details]
Proposition of logo by Med Mack
Comment 39 Flore Allemandou [:flore] 2013-06-24 01:05:14 PDT
Med Mack did this rapid sketch on the whiteboard during the mozfr meetup in Paris this week-end. And I took the photo with my phone.
Comment 40 Majken Connor [:Kensie] 2013-06-24 09:16:48 PDT
Goce,

I just mean something better than our poor sketches, so we can better see the potential of the concept :)
Comment 41 Goce Mitevski 2013-06-24 10:17:08 PDT
Majken, have you seen: Second WoMoz Bee Logo Concept - attachment 766288 [details]?

https://bugzilla.mozilla.org/attachment.cgi?id=766570
Comment 42 Majken Connor [:Kensie] 2013-06-24 12:38:52 PDT
I hadn't, just looked, but my point is so far we are only working with the bee concept, and while that had strong support, we also identified with the magnet concept in a later meeting, for example.
Comment 43 Goce Mitevski 2013-06-24 13:04:41 PDT
These are all the drawings we have for the magnet concept?

http://grab.by/lIXk
http://grab.by/lJ5A
Comment 44 Ioana Chiorean 2013-06-25 02:54:54 PDT
(In reply to Majken Connor [Kensie] from comment #42)
> I hadn't, just looked, but my point is so far we are only working with the
> bee concept, and while that had strong support, we also identified with the
> magnet concept in a later meeting, for example.

Kensie - Goce - which is a volunteer - identified the main topic discussed here and agree by all- the bee. The magnet was just a line in your proposal along with compass, graffiti, Inuksuk etc..  which I see did not get many votes/ attention. 

My personal opinion is that there are to many proposals (beside the bee) to have mockups on each ones from a single person - volunteering. 

Probably some "certified " opinions from creative team will help.
Comment 45 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-25 13:42:44 PDT
Created attachment 767403 [details]
zeph - two bees - logo proposal 1

From my designer friend, Zeph:

"These are both in basic sketch form, just so you and your group can see if you like the ideas & composition before I take the time to render them in color in Illustrator. The final treatment would be 3D and colorful, similar to Sean Martell's: http://blog.seanmartell.com/brands

Both of these sketches incorporate elements from the Firefox logo: in zeph_twobees.jpg, the emphasis is more on the collaboration between the two bees, but both of their wings have flames in them. In zeph_firebee.jpg, it's more of a direct reference to the Firefox logo--the bee has a tail of fire that wraps around the hive. 

Both also have a binary number element: in zeph_twobees.jpg, there's a subtle texture of binary numbers in the hive. In zeph_firebee.jpg, binary numbers are exiting the hive in a little swarm."
Comment 46 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-25 13:43:18 PDT
Created attachment 767404 [details]
zeph - fire bee - logo proposal 2
Comment 47 Majken Connor [:Kensie] 2013-06-26 16:11:54 PDT
Ioana - The magnet concept was discussed in an IRC meeting outside of my proposal posts. That is why I mentioned it and not one of the other suggestions I made.

As far as I know we didn't formally adopt the bee concept. There was an initial meeting and that was the favorite concept out of that meeting, but many ideas have also been brought forward since. 

I am uncomfortable choosing a logo because that's the one that was developed. If we want to stick to the bee, let's make a formal proposal on the WoMoz list, explaining the concept (pros and cons) and make a doodle to officially choose the bee or not.

If we are committing to the bee we will also have other feedback for the designer which we could discuss sooner. For example we may decide that we don't want to include a flower in the design at all or that we definitely want a flower in the design. This can save time and better direct the concept to suit our needs.
Comment 48 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-27 08:47:12 PDT
Created attachment 768364 [details]
Zeph - bees take 2, with 'w' & 'm' over hive

Round 2 from Zeph, 4 sketches alternating beehive, hexagon, as well updating the wings.
Comment 49 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-27 08:47:56 PDT
Created attachment 768365 [details]
Zeph - round 2, sketch 2 - bees, hexagon, w & m
Comment 50 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-27 08:48:41 PDT
Created attachment 768366 [details]
Zeph - round 2, sketch 3 - bee on hive with 'womoz'
Comment 51 Lukas Blakk [:lsblakk] use ?needinfo 2013-06-27 08:49:14 PDT
Created attachment 768367 [details]
Zeph - round 2, sketch 4, bee on hexagon with womoz
Comment 52 Med Mack 2013-06-27 09:03:17 PDT
Hello everybody, as Flore mentioned, we had a brainstorming session during the moz fr meetup and after a speed drawing we got the concept ( attachment 766570 [details] ). I started working on the logo today so I'll post what I made in the few hours, thanks.

for the attachment 768365 [details], the hive logo is a logo designed by Sean Martel for a mozilla project so it can't be used.
Comment 53 Med Mack 2013-06-28 10:43:26 PDT
Created attachment 769035 [details]
Logo proposition 1.0

Hey,
here is what I was working on in the last few days, me & Flore had the idea of the bee with the flower ( as the Firefox logo ).
I made two different propositions for the text ( typography ) and different lockups that can be used.
Comment 54 Majken Connor [:Kensie] 2013-06-28 19:04:41 PDT
Comment on attachment 769035 [details]
Logo proposition 1.0

Ooh I love this concept of using the bee like the Firefox logo!

I think we may have to stay away from flowers as they are a very feminine symbol and I anticipate that bothering women who don't identify as feminine/don't want to exclude women who don't identify as feminine (but let's see what the other women think).

We could try putting the bee like that on a hive or on a bit of honeycomb, too. Or maybe use a less traditionally feminine flower, like a thistle (advantage of a thistle is it's nice and round like the Firefox globe!)
Comment 55 Lukas Blakk [:lsblakk] use ?needinfo 2013-08-14 17:05:45 PDT
Created attachment 790536 [details]
WoMoz logo.pdf

Here's the design which incorporates the feedback from the logo committee.
Comment 56 Delphine Lebédel [:delphine - use need info] 2013-08-14 17:31:05 PDT
WOW!!!!
this is just so beautiful... I love it!!! :)
Comment 57 Flore Allemandou [:flore] 2013-08-15 02:27:11 PDT
Just like Delphine: WOW!
These are realistic bees but not frightening because they're smiling and fuzzy. Really Zeph had done a great job taking into account all our comments. I even see the inverted m as the w! And they're working together :) 

But still my scientist evil twin tells me that the wings should be inverted: the great one above the lesser one. And we'll assume that we only see one wing in each pair.
Lukas do you think that Zeph can do that? it wouldn't alter the logo very much.
Comment 58 Delphine Lebédel [:delphine - use need info] 2013-08-16 11:01:51 PDT
I do with other people about the fact that the colors should be more in line with other Mozilla logos though.
Other than that, I love it :) thanks so much for this awesome work
Comment 59 Flore Allemandou [:flore] 2014-06-09 14:05:20 PDT
Created attachment 8437206 [details]
Womoz final logo approved

I just realized that we did not close this bug as we chose the final logo in september, so I'm doing it now.
This logo should be used for all communication around womoz.
Different sizes and flavours can be downloaded on github: https://github.com/Flore-mozfr/womoz.org/tree/master/logo

Note You need to log in before you can comment on or make changes to this bug.